# Other Akka modules

## [Akka HTTP](https://doc.akka.io/docs/akka-http/current/scala.html)

A full server- and client-side HTTP stack on top of akka-actor and akka-stream.

## [Alpakka](https://developer.lightbend.com/docs/alpakka/current/)

Various Akka Streams connectors, integration patterns, and data transformations for integration use cases

## [Alpakka Kafka Connector](https://doc.akka.io/docs/akka-stream-kafka/current/home.html)

The Alpakka Kafka Connector connects Apache Kafka with Akka Streams.

## [Cassandra Plugins for Akka Persistence](https://github.com/akka/akka-persistence-cassandra)

A Akka Persistence journal and snapshot store backed by Apache Cassandra.

## [Couchbase Plugins for Akka Persistence](https://doc.akka.io/docs/akka-persistence-couchbase/current/)

A Akka Persistence journal and snapshot store backed by Couchbase.

## [Akka Management](https://developer.lightbend.com/docs/akka-management/current/)

Utilities for managing a running Akka Cluster.

## [Akka gRPC](https://developer.lightbend.com/docs/akka-grpc/current/)

Akka gRPC provides support for building streaming gRPC servers and clients on top of Akka Streams.

## Community Projects

Akka has a vibrant and passionate user community, the members of which have created many independent projects using Akka as well as extensions to it. See [Community Projects](https://akka.io/community/).

## Related Projects Sponsored by Lightbend

### [Play Framework](https://www.playframework.com)

Play Framework provides a complete framework to build modern web applications, including tools for front end pipeline integration, 
a HTML template language etc. It is built on top of Akka HTTP, and integrates well with Akka and Actors.

### [Lagom](https://www.lagomframework.com)

Lagom is a microservice framework which strives to be opinionated and encode best practices for building microservice systems with Akka and Play.

### Akka Resilience Enhancements:

* [Akka Split Brain Resolver](https://developer.lightbend.com/docs/akka-commercial-addons/current/split-brain-resolver.html)
* [Kubernetes Lease](https://developer.lightbend.com/docs/akka-commercial-addons/current/kubernetes-lease.html)
* [Akka Thread Starvation Detector](https://developer.lightbend.com/docs/akka-commercial-addons/current/starvation-detector.html)
* [Akka Configuration Checker](https://developer.lightbend.com/docs/akka-commercial-addons/current/config-checker.html)
* [Akka Diagnostics Recorder](https://developer.lightbend.com/docs/akka-commercial-addons/current/diagnostics-recorder.html)

### Akka Persistence Enhancements:

* [Akka Multi-DC Persistence](https://developer.lightbend.com/docs/akka-commercial-addons/current/persistence-dc/index.html)
* [Akka GDPR for Persistence](https://developer.lightbend.com/docs/akka-commercial-addons/current/gdpr/index.html)

### [Lightbend Telemetry](https://developer.lightbend.com/docs/telemetry/current/home.html)

Distributed tracing, metrics and monitoring for Akka Actors, Cluster, HTTP and more.
