# Streams

## Dependency

To use Akka Streams, add the module to your project:

@@dependency[sbt,Maven,Gradle] {
  group="com.typesafe.akka"
  artifact="akka-stream_$scala.binary_version$"
  version="$akka.version$"
}

@@toc { depth=2 }

@@@ index

* [stream-introduction](stream-introduction.md)
* [stream-quickstart](stream-quickstart.md)
* [../general/stream/stream-design](../general/stream/stream-design.md)
* [stream-flows-and-basics](stream-flows-and-basics.md)
* [stream-graphs](stream-graphs.md)
* [stream-composition](stream-composition.md)
* [stream-rate](stream-rate.md)
* [stream-dynamic](stream-dynamic.md)
* [stream-customize](stream-customize.md)
* [stream-integrations](stream-integrations.md)
* [stream-error](stream-error.md)
* [stream-io](stream-io.md)
* [stream-refs](stream-refs.md)
* [stream-parallelism](stream-parallelism.md)
* [stream-testkit](stream-testkit.md)
* [stream-substream](stream-substream.md)
* [stream-cookbook](stream-cookbook.md)
* [../general/stream/stream-configuration](../general/stream/stream-configuration.md)
* [operators](operators/index.md)

@@@
